

import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../widgets/desktop/desktop_change_mobile_or_email.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/breadcrumbs.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_change_mobile_or_email.dart';

class ChangeMobileOrEmail extends StatelessWidget {
  final bool isMobile;

  const ChangeMobileOrEmail(this.isMobile, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          Scaffold(
            appBar: MiniNavigationBar(
              title: isMobile ? S.of(context).change_mobile : S.of(context).change_email,
              back: true,
              breadCrumbs: [
                BreadCrumb(isMobile ? S.of(context).change_mobile : S.of(context).change_email, null),
              ],
              breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
            ),
            drawer: null,
            body: ScreenTypeLayout(
              mobile: MobileChangeMobileOrEmail(isMobile),
              tablet: DesktopChangeMobileOrEmail(isMobile),
              desktop: DesktopChangeMobileOrEmail(isMobile),
            ),
            bottomNavigationBar: ScreenTypeLayout(
              mobile: MobileBottomNav(currentIndex: 0,),
              tablet: BottomNav(),
              desktop: BottomNav(),
            ),
          ),
    );
  }

}